summaryrefslogtreecommitdiff
path: root/examples/redis-unstable/runtest-moduleapi
diff options
context:
space:
mode:
authorMitja Felicijan <mitja.felicijan@gmail.com>2026-01-21 22:40:55 +0100
committerMitja Felicijan <mitja.felicijan@gmail.com>2026-01-21 22:40:55 +0100
commit5d8dfe892a2ea89f706ee140c3bdcfd89fe03fda (patch)
tree1acdfa5220cd13b7be43a2a01368e80d306473ca /examples/redis-unstable/runtest-moduleapi
parentc7ab12bba64d9c20ccd79b132dac475f7bc3923e (diff)
downloadcrep-5d8dfe892a2ea89f706ee140c3bdcfd89fe03fda.tar.gz
Add Redis source code for testing
Diffstat (limited to 'examples/redis-unstable/runtest-moduleapi')
-rwxr-xr-xexamples/redis-unstable/runtest-moduleapi62
1 files changed, 62 insertions, 0 deletions
diff --git a/examples/redis-unstable/runtest-moduleapi b/examples/redis-unstable/runtest-moduleapi
new file mode 100755
index 0000000..1e3045b
--- /dev/null
+++ b/examples/redis-unstable/runtest-moduleapi
@@ -0,0 +1,62 @@
+#!/bin/sh
+TCL_VERSIONS="8.5 8.6 8.7"
+TCLSH=""
+[ -z "$MAKE" ] && MAKE=make
+
+for VERSION in $TCL_VERSIONS; do
+ TCL=`which tclsh$VERSION 2>/dev/null` && TCLSH=$TCL
+done
+
+if [ -z $TCLSH ]
+then
+ echo "You need tcl 8.5 or newer in order to run the Redis ModuleApi test"
+ exit 1
+fi
+
+$MAKE -C tests/modules && \
+$TCLSH tests/test_helper.tcl \
+--single unit/moduleapi/commandfilter \
+--single unit/moduleapi/basics \
+--single unit/moduleapi/fork \
+--single unit/moduleapi/testrdb \
+--single unit/moduleapi/infotest \
+--single unit/moduleapi/moduleconfigs \
+--single unit/moduleapi/infra \
+--single unit/moduleapi/propagate \
+--single unit/moduleapi/hooks \
+--single unit/moduleapi/misc \
+--single unit/moduleapi/blockonkeys \
+--single unit/moduleapi/blockonbackground \
+--single unit/moduleapi/scan \
+--single unit/moduleapi/datatype \
+--single unit/moduleapi/auth \
+--single unit/moduleapi/keyspace_events \
+--single unit/moduleapi/blockedclient \
+--single unit/moduleapi/getchannels \
+--single unit/moduleapi/getkeys \
+--single unit/moduleapi/test_lazyfree \
+--single unit/moduleapi/defrag \
+--single unit/moduleapi/keyspecs \
+--single unit/moduleapi/hash \
+--single unit/moduleapi/zset \
+--single unit/moduleapi/list \
+--single unit/moduleapi/stream \
+--single unit/moduleapi/mallocsize \
+--single unit/moduleapi/datatype2 \
+--single unit/moduleapi/cluster \
+--single unit/moduleapi/aclcheck \
+--single unit/moduleapi/subcommands \
+--single unit/moduleapi/reply \
+--single unit/moduleapi/cmdintrospection \
+--single unit/moduleapi/eventloop \
+--single unit/moduleapi/timer \
+--single unit/moduleapi/publish \
+--single unit/moduleapi/usercall \
+--single unit/moduleapi/postnotifications \
+--single unit/moduleapi/async_rm_call \
+--single unit/moduleapi/moduleauth \
+--single unit/moduleapi/rdbloadsave \
+--single unit/moduleapi/crash \
+--single unit/moduleapi/internalsecret \
+--single unit/moduleapi/configaccess \
+"${@}"